Class WafAtpConfig

java.lang.Object
software.amazon.awssdk.services.lightsail.model.WafAtpConfig
All Implemented Interfaces:
Serializable, SdkPojo, ToCopyableBuilder<WafAtpConfig.Builder,WafAtpConfig>

@Generated("software.amazon.awssdk:codegen") public final class WafAtpConfig extends Object implements SdkPojo, Serializable, ToCopyableBuilder<WafAtpConfig.Builder,WafAtpConfig>

Describes the configuration of the account takeover prevention Web Application Firewall (WAF) rule group. The rule group inspects login requests to the login path of your application.

See Also:
  • Method Details

    • loginPath

      public final String loginPath()

      The path of the login endpoint of your application (for example, /login). Login paths that start with the path that you specify are a match.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

      Returns:
      The path of the login endpoint of your application (for example, /login). Login paths that start with the path that you specify are a match.

      Constraints:

      • Must start with a forward slash (/).

      • Must contain from 1 to 256 characters.

    • payloadType

      public final WafPayloadTypeEnum payloadType()

      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      If the service returns an enum value that is not available in the current SDK version, payloadType will return WafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available from payloadTypeAsString().

      Returns:
      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      See Also:
    • payloadTypeAsString

      public final String payloadTypeAsString()

      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      If the service returns an enum value that is not available in the current SDK version, payloadType will return WafPayloadTypeEnum.UNKNOWN_TO_SDK_VERSION. The raw value returned by the service is available from payloadTypeAsString().

      Returns:
      The content type of the request body of login requests.

      The following content types are possible:

      • JSON – The request body is in JSON format.

      • FORM_ENCODED – The request body is form encoded.

      See Also:
    • usernameField

      public final String usernameField()

      The name of the field in the request body that contains the username (for example, /username for JSON or username for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/).

      • Must contain from 1 to 512 characters.

      Returns:
      The name of the field in the request body that contains the username (for example, /username for JSON or username for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/ ).

      • Must contain from 1 to 512 characters.

    • passwordField

      public final String passwordField()

      The name of the field in the request body that contains the password (for example, /password for JSON or password for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/).

      • Must contain from 1 to 512 characters.

      Returns:
      The name of the field in the request body that contains the password (for example, /password for JSON or password for FORM_ENCODED).

      Constraints:

      • For a JSON payload, must be a JSON pointer that starts with a forward slash (/ ).

      • Must contain from 1 to 512 characters.

    • responseInspection

      public final WafResponseInspection responseInspection()

      An object that describes the HTTP status codes that your application returns for successful and failed login attempts.

      Returns:
      An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
    • toBuilder

      public WafAtpConfig.Builder toBuilder()
      Description copied from interface: ToCopyableBuilder
      Take this object and create a builder that contains all of the current property values of this object.
      Specified by:
      toBuilder in interface ToCopyableBuilder<WafAtpConfig.Builder,WafAtpConfig>
      Returns:
      a builder for type T
    • builder

      public static WafAtpConfig.Builder builder()
    • serializableBuilderClass

      public static Class<? extends WafAtpConfig.Builder> serializableBuilderClass()
    • hashCode

      public final int hashCode()
      Overrides:
      hashCode in class Object
    • equals

      public final boolean equals(Object obj)
      Overrides:
      equals in class Object
    • equalsBySdkFields

      public final boolean equalsBySdkFields(Object obj)
      Description copied from interface: SdkPojo
      Indicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in an SdkPojo class, and is generated based on a service model.

      If an SdkPojo class does not have any inherited fields, equalsBySdkFields and equals are essentially the same.

      Specified by:
      equalsBySdkFields in interface SdkPojo
      Parameters:
      obj - the object to be compared with
      Returns:
      true if the other object equals to this object by sdk fields, false otherwise.
    • toString

      public final String toString()
      Returns a string representation of this object. This is useful for testing and debugging. Sensitive data will be redacted from this string using a placeholder value.
      Overrides:
      toString in class Object
    • getValueForField

      public final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz)
    • sdkFields

      public final List<SdkField<?>> sdkFields()
      Specified by:
      sdkFields in interface SdkPojo
      Returns:
      List of SdkField in this POJO. May be empty list but should never be null.
    • sdkFieldNameToField

      public final Map<String,SdkField<?>> sdkFieldNameToField()
      Specified by:
      sdkFieldNameToField in interface SdkPojo
      Returns:
      The mapping between the field name and its corresponding field.